/*
 * Copyright 2018 iserge.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cesiumjs.cs.core;

import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsType;
import org.cesiumjs.cs.core.options.PolylinePipelineOptions;

/**
 * @author Serge Silaev aka iSergio
 */
@JsType(isNative = true, namespace = "Cesium", name = "PolylinePipeline")
public class PolylinePipeline {
    @JsConstructor
    public PolylinePipeline() {
    }

    /**
     * Subdivides polyline and raises all points to the specified height. Returns an
     * array of new {Cartesian3} positions.
     *
     * @param options {@link PolylinePipelineOptions}
     * @return A new array of cartesian3 positions that have been subdivided and
     * raised to the surface of the ellipsoid.
     */
    public static native Cartesian3[] generateCartesianArc(PolylinePipelineOptions options);
}
