/*
 * Copyright 2018 iserge.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cesiumjs.cs.core.geometry.options;

import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;
import org.cesiumjs.cs.core.VertexFormat;

/**
 * Options for {@link org.cesiumjs.cs.core.geometry.EllipseGeometry}.
 *
 * @author Serge Silaev aka iSergio
 */
@JsType(isNative = true, namespace = JsPackage.GLOBAL, name = "Object")
public class EllipseGeometryOptions extends EllipseOutlineGeometryOptions {
    /**
     * The rotation of the texture coordinates counter-clockwise from north.
     * Default: 0.0
     */
    @JsProperty
    public double stRotation;
    /**
     * The vertex attributes to be computed. Default: {@link VertexFormat#DEFAULT()}
     */
    @JsProperty
    public VertexFormat vertexFormat;

    /**
     * Options for {@link org.cesiumjs.cs.core.geometry.EllipseGeometry}
     */
    @JsConstructor
    public EllipseGeometryOptions() {
    }
}
