/*
 * Copyright 2023 iSergio, Gis4Fun.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cesiumjs.cs.scene.enums;

import jsinterop.annotations.JsType;

/**
 * ArcGisBaseMapType enumerates the ArcGIS image tile layers that are supported by default.
 */
@JsType(isNative = true, namespace = "Cesium", name = "ArcGisBaseMapType")
public class ArcGisBaseMapType {
    public static native Number SATELLITE();
    public static native Number OCEANS();
    public static native Number HILLSHADE();
}
