/*
 * Copyright 2020 iSerge.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cesiumjs.cs.scene.providers;

import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsType;
import org.cesiumjs.cs.scene.providers.options.TileMapServiceImageryProviderOptions;

/**
 * An imagery provider that provides tiled imagery as generated by MapTiler,
 * GDAL2Tiles, etc.
 */
@JsType(isNative = true, namespace = "Cesium", name = "TileMapServiceImageryProvider")
public class TileMapServiceImageryProvider implements ImageryProvider {
    /**
     * An imagery provider that provides tiled imagery as generated by MapTiler,
     * GDAL2Tiles, etc.
     */
    @JsConstructor
    public TileMapServiceImageryProvider() {
    }

    /**
     * An imagery provider that provides tiled imagery as generated by MapTiler,
     * GDAL2Tiles, etc.
     *
     * @param options Options {@link TileMapServiceImageryProviderOptions}.
     */
    @JsConstructor
    public TileMapServiceImageryProvider(TileMapServiceImageryProviderOptions options) {
    }
}